org.keycloak.login

## Enum LoginFormsPages

- java.lang.Object
- - java.lang.Enum<LoginFormsPages>
  - - org.keycloak.login.LoginFormsPages

- All Implemented Interfaces:
    Serializable, Comparable<LoginFormsPages>

      public enum LoginFormsPages
      extends Enum<LoginFormsPages>

  Author:
    Stian Thorgersen

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CODE`
    `ERROR`
    `LOGIN`
    `LOGIN_CONFIG_TOTP`
    `LOGIN_RESET_PASSWORD`
    `LOGIN_TOTP`
    `LOGIN_UPDATE_PASSWORD`
    `LOGIN_UPDATE_PROFILE`
    `LOGIN_VERIFY_EMAIL`
    `OAUTH_GRANT`
    `REGISTER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LoginFormsPages` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LoginFormsPages[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOGIN

          public static final LoginFormsPages LOGIN

    - #### LOGIN_TOTP

          public static final LoginFormsPages LOGIN_TOTP

    - #### LOGIN_CONFIG_TOTP

          public static final LoginFormsPages LOGIN_CONFIG_TOTP

    - #### LOGIN_VERIFY_EMAIL

          public static final LoginFormsPages LOGIN_VERIFY_EMAIL

    - #### OAUTH_GRANT

          public static final LoginFormsPages OAUTH_GRANT

    - #### LOGIN_RESET_PASSWORD

          public static final LoginFormsPages LOGIN_RESET_PASSWORD

    - #### LOGIN_UPDATE_PASSWORD

          public static final LoginFormsPages LOGIN_UPDATE_PASSWORD

    - #### REGISTER

          public static final LoginFormsPages REGISTER

    - #### ERROR

          public static final LoginFormsPages ERROR

    - #### LOGIN_UPDATE_PROFILE

          public static final LoginFormsPages LOGIN_UPDATE_PROFILE

    - #### CODE

          public static final LoginFormsPages CODE

  - ### Method Detail

    - #### values

          public static LoginFormsPages[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LoginFormsPages c : LoginFormsPages.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LoginFormsPages valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All Rights Reserved.